FinData4AI

Prices

GET
/market/bars

Authorization

apiKeyAuth
X-API-Key<token>

In: header

Query Parameters

ticker*string

股票代码,如 AAPL

from*string
Formatdate
to*string
Formatdate
market?string

市场代码。后端 public catalog 使用大写枚举。

Value in

  • "US"
  • "CN"
  • "HK"
interval?"1d"
Default"1d"

Value in

  • "1d"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/market/bars?ticker=string&from=2019-08-24&to=2019-08-24"
{  "items": [    {      "date": "2026-08-01",      "open": 224.13,      "high": 227.4,      "low": 223.02,      "close": 226.88,      "volume": 48210000    },    {      "date": "2026-08-04",      "open": 226.5,      "high": 229.11,      "low": 225.9,      "close": 228.74,      "volume": 41903000    }  ],  "next_cursor": null}